body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    font-family: 'Roboto', sans-serif;
}

body, ul {
    margin: 0;
    padding: 0;
}
html, body {
    width: 100%;
    overflow-x: hidden; /* Prevent horizontal scrolling */
}

h1, h2, .skill-list {
    font-family: 'Inknut Antiqua', serif;
}

img {
    max-width: 100%;
}

nav {
    background-color: #CEF6F5;
    position: fixed;
    z-index: 100;
    width: 100%;
    top: 0;

}

nav ul {
    margin: 0 auto;
    text-align: center;
    padding: 10px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

nav ul li {
    display: inline-block;
    margin: 0 10px;
    font-size: 15px;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: 20px;
    list-style: none;
    transition: .5s ease-in-out;
}

nav ul li:hover {
    border-bottom: 2px solid black;
    transform: translateY(10px);
}

nav li a {
    text-decoration: none;
    color: black;
    transition: background .5s ease-in-out, color 0.5s ease-in-out;
}

li.empty {
    width: 90px;
    border-top: 1px solid black;
    top: -5px;
    position: relative;
}

header {
   
    padding-top: 100px;
    padding-bottom: 100px;
    margin-bottom: 100px;
      background-image: url(folder-img/zzz1.svg);

background-repeat: no-repeat;
    background-size: 1000px ;
    background-position:  top right ;
   
   
}


.glitter1{
    width: 100%;
    height: 300px;
}
.glitter{
    margin-top: 300px;
    margin-bottom: 200px;
    width: 100%;
    height: 900px;
    background-image: url(folder-img/sv9.gif);
    background-size:900px;
    background-repeat: no-repeat;
    background-position: center;
    position: absolute;

   
    left: 0px;
    top: 400px;
    align-items: center;
    
   
     border-radius: 30px;
  clip-path: ellipse(25% 40% at 50% 50% at 25% 40% );
    background-blend-mode:normal;
    z-index: 10;

  

}
.glitter h4{
    font-size: 35px;
    color: black;
    letter-spacing: 2px;
    text-transform: uppercase;
    text-align: center;
}


.intro-img {

    box-shadow: 1px 2px 30px rgba(0, 0, 0, 0.5);
    margin-top: 30px;
    transform: rotate(-30deg);
    
   clip-path: polygon(0% 15%, 15% 15%, 15% 0%, 85% 0%, 85% 15%, 100% 15%, 100% 85%, 85% 85%, 85% 100%, 15% 100%, 15% 85%, 0% 85%);
}

h1 {
    font-size: 3em;
    line-height: 1.1;
    font-weight: normal;
    color:royalblue;
    text-align: center;
}

h2 {
    font-size: 1.5em;
    line-height: 1.3;
    font-weight: normal;
}

p {
    font-size: 1em;
    letter-spacing: 1px;
    line-height: 1.5;
}
.row{
	background-image: url(folder-img/sv10.gif);
    background-repeat: no-repeat;

    background-size:200px ;
    background-position: 200px 300px ;
}
.row1{
    background-image: url(folder-img/sv10.gif);
    background-repeat: no-repeat;

    background-size:200px ;
    background-position: 200px 300px ;
}
.doi{
	

    background-size: 200px ;
    background-repeat: no-repeat;
    background-position:  bottom right ;
}
header ul li {
    list-style: none;
    margin: 10px 0;
}

.button {
    border: 1px solid black;
    border-radius: 40px;
    color: black;
    text-decoration: none;
    margin-top: 40px;
    padding: 10px 30px;
    cursor: pointer;
    display: inline-block;
    transition: background .5s ease-in-out, color 0.5s ease-in-out;
}

.button:hover {
    background: black;
    color: white;
}

figcaption {
    font-size: 20px;
    color: royalblue;
    margin-top: 70px;
   text-align: center;
}

.skills-list {
    text-align: center;
    font-size: 2em;
    line-height: 1.5;
    margin-bottom: 150px;
}

.project {
    margin: 160 auto;
    padding: 250px 0;
    box-sizing: border-box;
    width: 100%;
    
}
.container{
    margin-top: 150px;

}

.unu{
  background-image: url(folder-img/zzz1.svg);
    background-repeat: no-repeat;

    background-size: 400px ;
    background-position:  bottom right ;

}

.blue {
    background-color: #CEF6F5;
}

.project .button {
    margin-top: 10px;
}

figure{
    animation: 5s anna1 infinite;
   clip-path: polygon(0% 15%, 15% 15%, 15% 0%, 85% 0%, 85% 15%, 100% 15%, 100% 85%, 85% 85%, 85% 100%, 15% 100%, 15% 85%, 0% 85%);

}
.fig{
    animation: 5s anna infinite;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);



}
@keyframes anna {
    0%, 100% { rotate:0deg }
    50% {rotate:180deg }
}
.fig1{
    clip-path: polygon(0% 15%, 27% 51%, 15% 0%, 85% 0%, 61% 34%, 100% 15%, 100% 85%, 76% 60%, 85% 100%, 15% 100%, 50% 71%, 0% 85%);
}
@keyframes anna1 {
    0%, 100% { rotate:0deg }
    50% {rotate:40deg }
}
.fig1{
    clip-path: polygon(0% 15%, 27% 51%, 15% 0%, 85% 0%, 61% 34%, 100% 15%, 100% 85%, 76% 60%, 85% 100%, 15% 100%, 50% 71%, 0% 85%);
}
.fig2{
    animation: 5s anna2 infinite;
    clip-path: circle(45%);
}
@keyframes anna2 {
    0%, 100% { transform:rotate(-35deg); }
    50% {transform:rotate(35deg); }
}
.footer{
    position: relative;
    background: #E3CEF6;
    padding: 20px 60px;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    color: black;
    text-transform: uppercase;
    border-radius: 20px;
    border: 2px solid wheat;
    margin-bottom: 0px;

}

footer li {
    font-size: 2em;
    margin-bottom: 100px;
    color: pink;
}
footer li a{
	color: white;
}

.right-alignment {
    text-align: right;
}

.hamburger {
    display: none;
    cursor: pointer;
    font-size: 24px;
    position: fixed;
    right: 20px;
    top: 20px;
    z-index: 101;
}

@media (max-width: 1450px){
       header{
       background-size: 300px;
    background-position:350px 300px;
       }
}
/* Media Queries for Responsive Design */
@media (max-width: 1200px) {
    h1 {
        font-size: 2.5em;
    }
    h2 {
        font-size: 1.2em;
    }
    p {
        font-size: 0.9em;
    }
    .skills-list {
        font-size: 1.5em;
    }
}

@media (max-width: 992px) {
	nav ul {
        display: none;
    }
    .hamburger {
        display: block;
    }
    li.empty{
    	width: 100%;
    }
}
    nav ul li {
        display: block;
        margin: 10px 0;
    }
    header {
        background-position: 200x 100px;
    }
    .intro-img {
        margin-top: 20px;
    }
}

@media (max-width: 800px) {
    nav ul {
        display: none;
    }
    .hamburger {
        display: block;
    }
     header {
        background-position: top;
        background-size: 100px;

    }
}

@media (max-width: 768px) {
    header {
        text-align: center;
    }
    .col-sm {
        width: 100%;
        text-align: center;
    }
    .right-alignment {
        text-align: center;
    }
    .button {
        margin-top: 20px;
    }
    .project {
        padding: 20px;
    }
}

@media (max-width: 576px) {
    h1 {
        font-size: 2em;
    }
    h2 {
        font-size: 1em;
    }
    p {
        font-size: 0.8em;
    }
    header{
    	background-position: 200px right;
    	background-size: 150px;
    }
    .skills-list {
        font-size: 1.2em;
    }
    .project {
        padding: 20px;
    }
    footer h2 {
        font-size: 1.5em;
    }
}
@media (max-width: 450px){
    header{
	background-position:top left;
    }
    footer h2 {
        font-size: 1.2em;
    }
}
